<?php

/*
* @package BANANA WARS
* @copyright: (c) 2017 G.P. aka Mvcshka (mvcshka@yandex.ru)
* @license: GNU General Public License version 2; see LICENSE.txt
* @files: /process/lost.php
*
*/


session_start();
header('Content-type: application/json');
Header("Content-Type: text/html;charset=UTF-8");
if($_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit();}
include($_SERVER['DOCUMENT_ROOT'].'/lib/connect.php');
include($_SERVER['DOCUMENT_ROOT'].'/lib/func.php');
include($_SERVER['DOCUMENT_ROOT'].'/lib/libmail.php');


if(isset($_POST['email']))
{
	$email = clean($_POST['email']);
	$code = clean($_POST['capcha']);
	if(!empty($email))
	{
		if(strtolower($_SESSION["img_code"]) == strtolower($code))
		{
			$q = $mysql->prepare("SELECT * FROM db_users WHERE Email = ?");
			$q->execute(array($email));
			if($q->rowCount() == 1)
			{
				$w = $q->fetch();
				$newPass = generate_password(10);
				$pass = mdHashPass($newPass);
				$e = $mysql->prepare("UPDATE db_users SET Password = ? WHERE Email = ?");
				$e->execute(array($pass, $email));
				$m = new Mail; // начинаем 
				$m->From( "Robot@".$_SERVER['HTTP_HOST'] ); // от кого отправляется почта 
				$m->To( $email ); // кому адресованно
				$m->Subject( "Данные о востановление пароля" );
				$text = 'Ваш логин: <b>'.$w['Login'].'</b><br>Ваш пароль: <b>'.$newPass.'</b> <br>С Уважением, Администрация сайта '.$_SERVER['HTTP_HOST'];
				$m->Body( $text, "html" );    
				$m->Priority(3) ;    // приоритет письма
				$m->Send();    // а теперь пошла отправка
				echo json_encode($result = array('signup .fail' => 'Новый пароль отправлен Вам на почту')); exit;
			}
			else
			{
				echo json_encode($result = array('signup .fail' => 'Данный E-mail не зарегистрирован')); exit;
			}
		}
		else
		{
			echo json_encode($result = array('signup .fail' => 'Неверный код с картинки')); exit;
		}
	}
	else
	{
		echo json_encode($result = array('signup .fail' => 'Введите E-mail')); exit;
	}
}

?>